aboutsummaryrefslogtreecommitdiff
path: root/fs/skeleton/etc/init.d/rcK
diff options
context:
space:
mode:
Diffstat (limited to 'fs/skeleton/etc/init.d/rcK')
-rwxr-xr-xfs/skeleton/etc/init.d/rcK27
1 files changed, 27 insertions, 0 deletions
diff --git a/fs/skeleton/etc/init.d/rcK b/fs/skeleton/etc/init.d/rcK
new file mode 100755
index 0000000000..59e9c54ff9
--- /dev/null
+++ b/fs/skeleton/etc/init.d/rcK
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+
+# Stop all init scripts in /etc/init.d
+# executing them in reversed numerical order.
+#
+for i in $(ls -r /etc/init.d/S??*) ;do
+
+ # Ignore dangling symlinks (if any).
+ [ ! -f "$i" ] && continue
+
+ case "$i" in
+ *.sh)
+ # Source shell script for speed.
+ (
+ trap - INT QUIT TSTP
+ set stop
+ . $i
+ )
+ ;;
+ *)
+ # No sh extension, so fork subprocess.
+ $i stop
+ ;;
+ esac
+done
+